/*
 * @Author: Kane
 * @Date: 2023-07-27 11:12:19
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/mybatis/pojo/MensualArchievementItem.java
 * @Description: 每月业绩对象。
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.mybatis.pojo;

import com.fasterxml.jackson.annotation.JsonProperty;

public class MensualArchievementItem
{
    public MensualArchievementItem()
    {}

    public MensualArchievementItem( int month, String premium)
    {
        this.month = month;
        this.premium = premium;
    }

    public int getMonth()
    {
        return month;
    }

    public void setMonth( int month )
    {
        this.month = month;
    }

    public String getPremium()
    {
        return premium;
    }

    public void setPremium( String premium )
    {
        this.premium = premium;
    }



    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + month;
        result = prime * result + ((premium == null) ? 0 : premium.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        MensualArchievementItem other = (MensualArchievementItem) obj;
        if ( month != other.month )
            return false;
        if ( premium == null )
        {
            if ( other.premium != null )
                return false;
        } else if ( !premium.equals( other.premium ) )
            return false;
        return true;
    }

    @Override
    public String toString()
    {
        return "MensualArchievementItem [month=" + month + ", premium=" + premium + "]";
    }



    // 月份
    @JsonProperty( "month" )
    private int month;

    // 月总保费
    @JsonProperty( "premium" )
    private String premium;
}
